Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface HibernateBusDocument

All Superinterfaces:
  BusDocument, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  HibernateBusDocumentImpl

    public interface HibernateBusDocument

extends BusDocument

A document containing one hibernate-bus(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd) element. This is a complex type.

Nested Class Summary
`static class` | `HibernateBusDocument.Factory` A factory class with static methods for creating instances of this type.
`static interface` | `HibernateBusDocument.HibernateBus` An XML hibernate-bus(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd).

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`HibernateBusDocument.HibernateBus` | `addNewHibernateBus()` Appends and returns a new empty "hibernate-bus" element
`HibernateBusDocument.HibernateBus` | `getHibernateBus()` Gets the "hibernate-bus" element
`void` | `setHibernateBus(HibernateBusDocument.HibernateBus hibernateBus)` Sets the "hibernate-bus" element

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.BusDocument
`addNewBus, getBus, setBus`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getHibernateBus

    HibernateBusDocument.HibernateBus getHibernateBus()

  Gets the "hibernate-bus" element

### setHibernateBus

    void setHibernateBus(HibernateBusDocument.HibernateBus hibernateBus)

  Sets the "hibernate-bus" element

### addNewHibernateBus

    HibernateBusDocument.HibernateBus addNewHibernateBus()

  Appends and returns a new empty "hibernate-bus" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD